#![feature(const_vec_string_slice)]
use data_encoding::HEXUPPER;
use rand::RngCore;

pub mod csrf;
pub mod extractor;
pub mod profile_pic;
mod session;
mod user;
pub use extractor::APIUser;
pub use extractor::AdminUser;
pub use extractor::MaybeUser;
pub use extractor::UserAuth;
pub use session::Session;
pub use session::Sessions;
pub use user::User;
pub use user::UserRole;

pub fn gen_random(token_length: usize) -> String {
    let mut token_bytes = vec![0u8; token_length];

    rand::thread_rng().fill_bytes(&mut token_bytes);

    HEXUPPER.encode(&token_bytes)
}
